"""empty message

Revision ID: 3b867a1100c1
Revises: 7ccfd040f65d
Create Date: 2024-08-20 11:02:26.914019

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision: str = '3b867a1100c1'
down_revision: Union[str, None] = '7ccfd040f65d'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('users', sa.Column('reset_token', sa.Text(), nullable=True))
    op.drop_column('users', '_User__reset_token')
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('users', sa.Column('_User__reset_token', mysql.TEXT(), nullable=True))
    op.drop_column('users', 'reset_token')
    # ### end Alembic commands ###
